Subject: [PATCH v5 2/2] i2c: rk3x: add i2c support for rk3399 soc

From: [email-masked] (Heiko Stübner)
Date: Fri, 15 Apr 2016 09:31:55 +0200

David,

Am Donnerstag, 14. April 2016, 20:48:48 schrieb Wolfram Sang:
> > + - input-clk-rate : frequency rate of function clock used(in Hz). If
> > omitted, +	the default clock rate is used. It is just used at rk3399 soc.
> 
> Why is this needed? Why don't we simply use the default or calculate the
> best value somehow?

if you need to _get_ the clock-rate, clk_get_rate is the abvious choice and if 
you need to _set_ some specific rate, I guess it should be done via the 
assigned-clocks mechanism in the devicetree - see veyron dts files that already 
do this for some other parts.